Skip to main content
GET
/
api
/
v1
/
payments
/
{transaction_id}
/
query
Ödemeyi özet sorgula
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/payments/{transaction_id}/query \
  --header 'Authorization: Bearer <token>'
{
  "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "is_success": true,
  "message": "<string>",
  "external_query_available": true,
  "internal": {
    "status": "<string>",
    "operation_type": "<string>",
    "amount": 123,
    "net_amount": 123,
    "currency": "<string>",
    "installment_count": 123,
    "is3_d_secure": true,
    "provider_transaction_id": "<string>",
    "auth_code": "<string>",
    "host_reference": "<string>",
    "masked_card_number": "<string>",
    "card_brand": "<string>",
    "card_holder_name": "<string>",
    "bank_code": "<string>",
    "transaction_status": "<string>",
    "charge_type": "<string>",
    "settlement_id": "<string>",
    "captured_amount": 123,
    "error_code": "<string>",
    "error_message": "<string>",
    "processed_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  },
  "external": {
    "status": "<string>",
    "operation_type": "<string>",
    "amount": 123,
    "net_amount": 123,
    "currency": "<string>",
    "installment_count": 123,
    "is3_d_secure": true,
    "provider_transaction_id": "<string>",
    "auth_code": "<string>",
    "host_reference": "<string>",
    "masked_card_number": "<string>",
    "card_brand": "<string>",
    "card_holder_name": "<string>",
    "bank_code": "<string>",
    "transaction_status": "<string>",
    "charge_type": "<string>",
    "settlement_id": "<string>",
    "captured_amount": 123,
    "error_code": "<string>",
    "error_message": "<string>",
    "processed_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

transaction_id
string<uuid>
required

Query Parameters

transaction_id
string<uuid>
order_id
string
extra_properties
object

Response

OK

transaction_id
string<uuid>
status
string | null
is_success
boolean
message
string | null
external_query_available
boolean
internal
object
external
object